# Terminology
## Cluster Terms

| Phrase      | Definition                                                                                                                                                                                                     |
| ----------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| agent       | A process running in server or client mode.                                                                                                                                                                    |
| client/node | A Nomad client is responsible for running tasks assigned to it. A client registers itself with servers and watches for work to be assigned. When running the agent, the client may be referred to as a *node*. |
| server      | A Nomad server manages all jobs and clients, monitors tasks, and controls which tasks get placed on which nodes.                                                                                               |
| dev_agent   | The development agent is an agent configuration that provides useful defaults for running a single node cluster of nomad.                                                                                      |

## Work terms
| Phrase | Definition                                                     |
| ------ | -------------------------------------------------------------- |
| task   | The smallest unit of work in Nomad. Tasks are executed by task |
